part of unify;

abstract class UnifyApiEndpoints {
  factory UnifyApiEndpoints.standard(String domain) {
    return new TeslaStandardApiEndpoints(domain);
  }

  Uri get userApiUrl;
  Uri get kalturaUrl;
  // String get clientId;
  // String get clientSecret;
  bool get enableProxyMode;
}

class TeslaStandardApiEndpoints implements UnifyApiEndpoints {
  TeslaStandardApiEndpoints(this.domain);
  final String domain;
  @override
  Uri get userApiUrl =>
      Uri.parse("https://$domain/" ?? "https://mobile.myunifycrm.com/");

  @override
  Uri get kalturaUrl => Uri.parse("https://www.kaltura.com/api_v3/service/");

  // @override
  // final String clientId =
  //     "81527cff06843c8634fdc09e8ac0abefb46ac849f38fe1e431c2ef2106796384";

  // @override
  // final String clientSecret =
  //     "c7257eb71a564034f9419ee651c7d0e5f7aa6bfbd18bafb5c5c033b093bb2fa3";

  @override
  bool get enableProxyMode => false;
}
