part of unify;

class UnifyAlert implements UnifyObject {
  UnifyAlert(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["Alert_ID"];

  String get userId => json["User_ID"];

  String get loanId => json["Loan_ID"];

  String get type => json["Alert_Type"];

  String get priority => json["Alert_Priority"];

  String get text => json["Alert_Priority"];

  DateTime get date => DateTime.tryParse(json["Alert_Date"].toString());

  DateTime get reminderDate =>
      DateTime.tryParse(json["Reminder_Date"].toString());

  DateTime get dueDate => DateTime.tryParse(json["Due_Date"].toString());

  String get status => json["Alert_Status"];

  // -- Actions --
  Future delete() {
    return client.deleteUnifyAlert(id);
  }
}
