part of unify;

class DashboardStats implements UnifyObject {
  DashboardStats(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["User_Statistic_ID"];
  StatsItem get rank => StatsItem(client, json["Company_Rank"]);
  StatsItem get volume => StatsItem(client, json["Total_Volume"]);
  StatsItem get application => StatsItem(client, json["Applications_Taken"]);
  StatsItem get unitsClosed => StatsItem(client, json["Units_Closed"]);
  StatsItem get efficiency => StatsItem(client, json["Efficiency"]);
}

class StatsItem implements UnifyObject {
  StatsItem(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  num get value => json["Value"];
  bool get isPositive => json["IsPositive"];
}
